uri.h File Reference
`#include <string>`
`#include <vector>`
`#include <core/net/visibility.h>`
Include dependency graph for uri.h:

Go to the source code of this file.

## Classes

struct | core::net::Uri
| The Uri class encapsulates the components of a URI. More...

## Namespaces

namespace | core
namespace | core::net

## Functions

CORE_NET_DLL_PUBLIC Uri | core::net::make_uri (const Uri::Host &host, const Uri::Path &path=Uri::Path(), const Uri::QueryParameters &query_parameters=Uri::QueryParameters())
| Build a URI from its components.